// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-06-24 15:46
package consts

const (
	LogLevelDebug = "DEBUG"
	LogLevelInfo  = "INFO"
	LogLevelWarn  = "WARN"
	LogLevelError = "ERROR"
	LogLevelPanic = "PANIC"
)

const (
	LogSplitHour  = "HOUR"
	LogSplitDay   = "DAY"
	LogSplitMonth = "MONTH"
	LogSplitYear  = "YEAR"
)

const (
	LogPathDefault = "logs"
)

const (
	LogMessageKey = "message"
	LogLevelKey   = "level"
	LogTimeKey    = "time"
	LogCallerKey  = "caller"
)

const (
	LogAccessName    = "access.log"
	LogRequestName   = "request.log"
	LogProxyName     = "proxy.log"
	LogBusinessName  = "business.log"
	LogMonitorName   = "monitor.log"
	LogDatabaseName  = "database.log"
	LogRateLimitName = "rate-limit.log"
	LogEventName     = "event.log"
	LogCacheName     = "cache.log"
)

const (
	LogTypeAccess    = "access"     // 访问日志
	LogTypeRequest   = "request"    // 请求日志
	LogTypeOutput    = "output"     // 响应日志
	LogTypeProxy     = "proxy"      // 代理请求日志
	LogTypeBusiness  = "business"   // 业务日志
	LogTypeMonitor   = "monitor"    // 监控日志
	LogTypeDatabase  = "database"   // 数据库日志
	LogTypeRateLimit = "rate-limit" // 流控日志
	LogTypeEvent     = "event"      // 事件日志
	LogTypeCache     = "cache"      // 缓存日志
)
